import { Injector, type Signal } from '@angular/core';
import { type Action } from '@ngrx/store';
import type { SelectSignalOptions } from '@ngrx/store/src/models';
import * as i0 from "@angular/core";
export declare let injector: Injector;
export declare function dispatch(action: Action): Action;
export declare function getState(): any;
export declare function select<K>(mapFn: (state: any) => K, options?: SelectSignalOptions<K>): Signal<K>;
export declare class ThunkService {
    #private;
    init(): void;
    getState: Signal<any>;
    dispatch(action: Action): void;
    select<K>(mapFn: (state: any) => K, options?: SelectSignalOptions<K>): Signal<K>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThunkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThunkService>;
}
